curl --request GET \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/history \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"historyList": [
{
"id": "<string>",
"tableId": "<string>",
"recordId": "<string>",
"fieldId": "<string>",
"before": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"cellValueType": "string",
"isLookup": true,
"isConditionalLookup": true,
"options": null
},
"data": null
},
"after": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"cellValueType": "string",
"isLookup": true,
"isConditionalLookup": true,
"options": null
},
"data": null
},
"createdTime": "<string>",
"createdBy": "<string>"
}
],
"userMap": {},
"nextCursor": "<string>"
}Retrieve the change history of all records in a table, including field modifications and user information.
curl --request GET \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/history \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"historyList": [
{
"id": "<string>",
"tableId": "<string>",
"recordId": "<string>",
"fieldId": "<string>",
"before": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"cellValueType": "string",
"isLookup": true,
"isConditionalLookup": true,
"options": null
},
"data": null
},
"after": {
"meta": {
"name": "Tags",
"type": "singleSelect",
"cellValueType": "string",
"isLookup": true,
"isConditionalLookup": true,
"options": null
},
"data": null
},
"createdTime": "<string>",
"createdBy": "<string>"
}
],
"userMap": {},
"nextCursor": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
此页面对您有帮助吗?